// Copyright IBM Corp. 2016. All Rights Reserved.
// Node module: apiconnect-cli-util
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

/********************************************************* {COPYRIGHT-TOP} ***
 * IBM Confidential
 * OCO Source Materials
 * 5725-C11, 5725-C12, 7198-8FX, 5725-F70, 5725-F71, 5725-F72, 5725-L30
 *
 * (C) Copyright IBM Corporation 2015  All Rights Reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 ********************************************************* {COPYRIGHT-END} **/

var ClientRequest = require('../util/apim-request');
var Util = require('../util/util');
var debug = require('debug')('apiconnect-cli-util:apps');


/**
 * List apps associated to the logged in user
 *
 * @param org Org to search for provider-apps in
 * @param cb {Function (err, rsp, body)}
 */
function list(org, cb) {
  var opts = Util.requestDefaultOptions();
  var urlSuffix = '/v1/orgs/' + org + '/provider-apps';
  opts.url += urlSuffix;
  ClientRequest.get(opts, function(err, rsp, body) {
    debug(body);
    cb(err, rsp, body);
  });
};

module.exports = {
  list: list,
};
